const fs = require('fs');
const path = require('path');
const configFile = require('../../../config/OutLogConfig');

class UpOutLogger {
  log(message, params) {
    // TODO Get the path we will save the logger and prepare to receibe data
    let logFile = '';
    const now = new Date();

    const TimeValue = now.toLocaleString('pt-BR', { timeZone: 'America/Sao_Paulo' });
    const logPath = configFile.getFilePath(params);
    if (!fs.existsSync(logPath)) {
      if (!fs.existsSync(path.dirname(logPath))) {
        fs.mkdirSync(path.dirname(logPath), { recursive: true });
      }
      fs.writeFileSync(logPath, '');
      logFile = '';
    } else {
      logFile = fs.readFileSync(logPath);
    }

    logFile += `${TimeValue}    ${message} \r\n`;
    fs.writeFileSync(logPath, logFile);
  }
}

module.exports = new UpOutLogger();
